import * as _ from 'lodash';
import * as React from 'react';
import { connect } from 'react-redux';
import { compose, bindActionCreators } from 'redux';
import { EditorActions } from '@files-stack/client-state';
import { ExtensionViewSlotComponent } from '../components/ExtensionViewSlot';

const mapStateToProps = state => ({
    editors: _.get(state, 'files_stack__edit.editors'),
});


export const ExtensionViewSlot = compose(
    connect(mapStateToProps),
)(ExtensionViewSlotComponent);
